SoSFVec4us(3)

NAME
SoSFVec4us - The SoSFVec4us class is a container for an SbVec4us vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec4us.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec4us & operator= (const SoSFVec4us &field)
virtual SbBool isSame (const SoField &field) const
const SbVec4us & getValue (void) const
void setValue (const SbVec4us &newvalue)
const SbVec4us & operator= (const SbVec4us &newvalue)
int operator== (const SoSFVec4us &field) const
int operator!= (const SoSFVec4us &field) const
void setValue (unsigned short x, unsigned short y, unsigned short z, unsigned short w)
void setValue (const unsigned short xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec4us value

  Additional Inherited Members

Detailed Description

The SoSFVec4us class is a container for an SbVec4us vector. This field is used where nodes, engines or other field containers need to store a single vector with four elements.

See also
    SbVec4us, SoMFVec4us Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoSFVec4us::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec4us::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec4us::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec4us::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec4us::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec4us::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec4us::setValue (unsigned short x, unsigned short y, unsigned short z, unsigned short w)
Set value of vector.

  void SoSFVec4us::setValue (const unsigned short xyzw[4])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.